# Cancel a payment schedule Cancels the payment schedule with the given ID. Endpoint: POST /payment_schedules/{payment_schedule_id}/cancel Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, description, next_payment_date, payment_schedule_number, number_of_payments, prepayment, start_date, run_hour, state, recent_payment_date, total_payments_errored, total_payments_processed, total_amount, debit_memo_id, invoice_id Example: ["id,created_time"] - `payment_schedule_item.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, amount, balance, currency, debit_memo_id, invoice_id, payment_id, payment_method_id, description, prepayment, payment_gateway_id, run_hour, state, scheduled_date, payment_schedule_item_number, payment_schedule_id, cancellation_reason, error_message, payment_option_id Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `payment_schedule.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, description, next_payment_date, payment_schedule_number, number_of_payments, prepayment, start_date, run_hour, state, recent_payment_date, total_payments_errored, total_payments_processed, total_amount, debit_memo_id, invoice_id Example: ["id,created_time"] ## Path parameters: - `payment_schedule_id` (string, required) Identifier for the payment schedule. Can be either payment_schedule_number or payment_schedule_id ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. ## Request fields (application/json): - `cancel_date` (string, required) The date on which the payment schdule is canceled. Example: "2022-09-01" ## Response 200 fields (application/json): - `id` (string) Unique identifier for the object. - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `account_id` (string) Unique identifier of the customer account the payment schedule belongs to. - `account_number` (string) Account number of the customer account the payment schedule belongs to. - `amount` (number) The amount of each payment schedule item in the payment schedule. - `period` (any) Unit in which term duration is defined. One of week or month. Enum: "week", "month", "biweekly" - `billing_document` (object) The billing document with which the payment schedule is associated. Note: This field is optional. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `billing_document.id` (string) Unique identifier of an invoice or debit memo billing document. - `billing_document.type` (string) The type of billing document. The default is invoice. Enum: "invoice", "debit_memo" - `currency` (string) Currency of the payment schedule. Note: This field is optional. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD" - `description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `items` (array) - `items.amount` (number) The amount to be collected by this payment schedule item. - `items.balance` (number) The remaining balance of payment schedule item. - `items.billing_document` (object) The billing document with which the payment schedule is associated. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `items.cancellation_reason` (string) The reason for the cancellation of payment schedule item. - `items.currency` (string) Currency of the payment schedule. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD" - `items.payment_schedule_item_number` (string) Number of the payment schedule item. - `items.payment_gateway_id` (string) ID of the payment gateway used to collect payments. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the customer account level, the default value will be the tenant's default payment gateway ID. This field will be ignored when items is specified. Example: "8ad093f27d6eee80017d6effd7a66759" - `items.payment_method_id` (string) ID of the payment method. The default value is the account's default payment method ID. This field will be ignored when items is specified. Example: "8a95b1946b6aeac8718c32aab8c395f" - `items.payment_option_id` (string) ID of the payment option. - `items.payment_schedule_id` (string) ID of the payment schedule. - `items.payment_schedule_number` (string) Number of the payment schedule. - `items.payments` (array) - `items.payments.id` (string) Unique identifier of the payment schedule item. - `items.run_hour` (integer) At which hour in the day in the tenant's timezone this payment will be collected. Available values:[0,1,2,~,22,23]. If the time difference between your tenant’s timezone and the timezone where Zuora servers are located is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half an hour later than your scheduled time. The default value is 0. If the payment run_hour and scheduled_date are backdated, the system will collect the payment when the next run_hour occurs. - `items.scheduled_date` (string) The scheduled date of collection. Example: "2022-01-01" - `items.standalone` (boolean) Indicates whether the payments created by the payment schedule are standalone payments or not. When setting to true, standalone payments will be created. When setting to false, you can either specify a billing document, or not specifying any billing documents. In the later case, unapplied payments will be created. If set to null, standalone payments will be created. Note: This parameter is only available if standalone payments are enabled in your tenant. Do not include this parameter if standalone payment have not been enabled in your tenant. If standalone payments are enabled, the default value is true. - `items.state` (string) The status of the payment schedule item. active: there are unprocessed payment schedule items. canceled: the payment schedule has been canceled. complete: the payment schedule is complete and all items have been processed. Enum: "pending", "canceled", "complete", "error" - `items.error_message` (string) An error message indicating why payment collection failed for this payment schedule item. - `items.payment` (object) List of customer payments. - `items.payment.reference_id` (string) Transaction identifier returned by the payment gateway. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `items.payment.account_id` (string) Identifier of the customer account associated with this payment. - `items.payment.account_number` (string) Human-readable identifier of the account associated with this payment. It can be user-supplied. - `items.payment.amount` (number) The total amount of the payment. - `items.payment.authorization_id` (string) Identifier of the authorization transaction from the payment gateway. - `items.payment.payment_date` (string) The date and time when the payment takes effect. - `items.payment.payment_method_id` (string) Identifier of the payment method used to create this payment. - `items.payment.gateway_id` (string) Identifier of the payment gateway that Zuora will use to authorize this payment. - `items.payment.gateway_order_id` (string) A merchant-specified natural key value that can be passed to the payment gateway when a payment is created. If not specified, the payment number will be passed in instead. - `items.payment.second_reference_id` (string) A second transaction identifier returned by the payment gateway if there is an additional transaction for the refunds. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `items.payment.gateway_options` (object) Example: {"key":"value"} - `items.payment.statement_descriptor` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `items.payment.statement_descriptor_phone` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `items.payment.external` (boolean) If true, indicates that this payment is not handled by Zuora. - `items.payment.currency` (string) 3-letter ISO 4217 currency code. - `items.payment.account` (object) The customer account associated with this payment. - `items.payment.account.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `items.payment.account.billing_document_settings` (object) Billing document settings for an account - `items.payment.account.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `items.payment.account.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `items.payment.account.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `items.payment.account.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `items.payment.account.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `items.payment.account.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `items.payment.account.batch` (string) The identifier of a bill run batch. - `items.payment.account.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `items.payment.account.bill_to` (object) Customer billing address. - `items.payment.account.bill_to.address` (object) Container for the address informtion. - `items.payment.account.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `items.payment.account.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `items.payment.account.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `items.payment.account.bill_to.address.state` (string) State or providence Example: "GA" - `items.payment.account.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `items.payment.account.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `items.payment.account.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `items.payment.account.bill_to.first_name` (string) Customer first name. Example: "Amy" - `items.payment.account.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `items.payment.account.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `items.payment.account.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `items.payment.account.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `items.payment.account.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `items.payment.account.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `items.payment.account.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `items.payment.account.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `items.payment.account.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `items.payment.account.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `items.payment.account.bill_to.fax` (string) The contact's fax number. - `items.payment.account.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `items.payment.account.sold_to` (object) Customer address used for calculating tax. - `items.payment.account.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `items.payment.account.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `items.payment.account.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `items.payment.account.name` (string) The name of the customer account. Example: "test account" - `items.payment.account.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `items.payment.account.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `items.payment.account.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `items.payment.account.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `items.payment.account.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `items.payment.account.tax_certificate` (object) The tax certificate information. - `items.payment.account.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `items.payment.account.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `items.payment.account.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `items.payment.account.tax_certificate.description` (string) Description of the tax exemption certificate. - `items.payment.account.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `items.payment.account.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `items.payment.account.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `items.payment.account.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `items.payment.account.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `items.payment.account.tax_identifier` (object) An object that contains the VAT Identification number. - `items.payment.account.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `items.payment.account.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `items.payment.account.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `items.payment.account.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `items.payment.account.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `items.payment.account.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `items.payment.account.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `items.payment.account.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `items.payment.account.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `items.payment.account.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `items.payment.account.default_payment_method` (object) The default payment method for the customer. - `items.payment.account.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `items.payment.account.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `items.payment.account.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `items.payment.account.default_payment_method.account` (object) The customer account associated with this payment method. - `items.payment.account.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `items.payment.account.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `items.payment.account.default_payment_method.billing_details.address` (object) Address information used in billing details. - `items.payment.account.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `items.payment.account.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `items.payment.account.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `items.payment.account.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `items.payment.account.default_payment_method.device_session_id` (string) - `items.payment.account.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `items.payment.account.default_payment_method.bank_identification_number` (string) - `items.payment.account.default_payment_method.card` (object) Credit card information. - `items.payment.account.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `items.payment.account.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `items.payment.account.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `items.payment.account.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `items.payment.account.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `items.payment.account.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `items.payment.account.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `items.payment.account.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `items.payment.account.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `items.payment.account.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `items.payment.account.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `items.payment.account.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `items.payment.account.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `items.payment.account.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `items.payment.account.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `items.payment.account.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `items.payment.account.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `items.payment.account.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `items.payment.account.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `items.payment.account.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `items.payment.account.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `items.payment.account.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `items.payment.account.default_payment_method.cc_ref.card` (object) - `items.payment.account.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `items.payment.account.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `items.payment.account.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `items.payment.account.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `items.payment.account.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `items.payment.account.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `items.payment.account.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `items.payment.account.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `items.payment.account.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `items.payment.account.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `items.payment.account.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `items.payment.account.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `items.payment.account.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `items.payment.account.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `items.payment.account.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `items.payment.account.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `items.payment.account.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `items.payment.account.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `items.payment.account.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `items.payment.account.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `items.payment.account.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `items.payment.account.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `items.payment.account.default_payment_method.auto_generated` (boolean) - `items.payment.account.default_payment_method.use_default_retry_rule` (boolean) - `items.payment.account.default_payment_method.existing_mandate` (boolean) - `items.payment.account.default_payment_method.last_failed_sale_transaction_time` (string) - `items.payment.account.default_payment_method.last_transaction_time` (string) - `items.payment.account.default_payment_method.last_transaction_status` (string) - `items.payment.account.default_payment_method.number_of_consecutive_failures` (integer) - `items.payment.account.default_payment_method.total_number_of_processed_payments` (integer) - `items.payment.account.default_payment_method.total_number_of_error_payments` (integer) - `items.payment.account.billing_documents` (object) List of customer billing documents. - `items.payment.account.billing_documents.next_page` (string,null) - `items.payment.account.billing_documents.data` (array) - `items.payment.account.billing_documents.data.account_id` (string) Identifier of the account that owns the billing document. - `items.payment.account.billing_documents.data.account_number` (string) Human-readable identifier of the account that owns the billing document. - `items.payment.account.billing_documents.data.description` (string) An arbitrary string associated with the object. Often useful for displaying to users. - `items.payment.account.billing_documents.data.due_date` (string) The date on which payment for the billing document is due. Example: "2023-01-01" - `items.payment.account.billing_documents.data.document_date` (string) The date when the billing document takes effect. Example: "2023-01-01" - `items.payment.account.billing_documents.data.reason_code` (string) Reason for issuing this billing document. This field is applicable only if the type field is set to credit_memo or debit_memo. - `items.payment.account.billing_documents.data.invoice_id` (string) The identifier of the invoice billing document from which this credit memo or debit memo billing document is created. This field is applicable only if the type field is set to credit_memo or debit_memo. - `items.payment.account.billing_documents.data.transfer_to_accounting` (boolean) Whether to transfer to an external accounting system. - `items.payment.account.billing_documents.data.exclude_from_auto_apply_rules` (boolean) Indicates whether to exclude this credit memo billing document from the rule of automatically applying it to invoices. This field is applicable only if the type field is set to credit_memo. - `items.payment.account.billing_documents.data.pay` (boolean) Indicates whether the billing document is automatically picked up for processing in the corresponding payment run. - `items.payment.account.billing_documents.data.type` (string) The type of billing document. Can be one of the credit memo, debit memo, or invoice. Enum: "credit_memo", "debit_memo", "invoice" - `items.payment.account.billing_documents.data.billing_document_number` (string) A human-readable identifier for the billing document; may be user-supplied. - `items.payment.account.billing_documents.data.amount_refunded` (number) The amount of this billing document item refunded. - `items.payment.account.billing_documents.data.state_transitions` (object) - `items.payment.account.billing_documents.data.state_transitions.posted_time` (string) - `items.payment.account.billing_documents.data.state_transitions.canceled_time` (string) - `items.payment.account.billing_documents.data.posted_by_id` (string) Identifier of the Zuora user who posted the billing document. - `items.payment.account.billing_documents.data.state` (string) The status of the billing document. Enum: "draft", "open", "uncollectible", "failed" - `items.payment.account.billing_documents.data.account` (object) The account that owns the billing document. EXPANDABLE - `items.payment.account.billing_documents.data.items` (object) List of billing document items. - `items.payment.account.billing_documents.data.total` (number) The total amount. - `items.payment.account.billing_documents.data.subtotal` (number) The total amount exclusive of tax. - `items.payment.account.billing_documents.data.tax` (number) The total tax amount. - `items.payment.account.billing_documents.data.remaining_balance` (number) The total balance remaining. - `items.payment.account.billing_documents.data.amount_paid` (number) The total amount paid. - `items.payment.account.billing_documents.data.paid` (boolean) Whether payment was successfully collected for this invoice. An invoice can be paid with a payment or a credit memo. - `items.payment.account.billing_documents.data.past_due` (boolean) Whether payment is past due. - `items.payment.account.billing_documents.data.balance` (number) The total balance remaining. This field is deprecated. Use remaining_balance field. - `items.payment.account.payments` (object) List of customer payments. - `items.payment.account.payment_methods` (object) List of customer payment methods. - `items.payment.account.subscriptions` (object) List of customer subscriptions. - `items.payment.account.usage_records` (object) List of customer usages. - `items.payment.account.credit_memos` (object) List of credit memo - `items.payment.account.debit_memos` (object) List of debit memo - `items.payment.account.invoices` (object) List of invoices - `items.payment.amount_applied` (number) The total amount applied. - `items.payment.remaining_balance` (number) The total remaining balance. - `items.payment.amount_refunded` (number) The total amount refunded. - `items.payment.state` (string) The state of the payment. Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `items.payment.payout_id` (string) Identifier of the payout associated with this payment. - `items.payment.payment_number` (string) Human-readable identifier for this object; may be user-supplied. - `items.payment.gateway_response_code` (string) Code returned by the payment gateway for this payment. - `items.payment.payment_method` (object) Payment method information. - `items.payment.gateway_response` (string) Message returned by the payment gateway for this payment. - `items.payment.gateway_reconciliation_status` (string) Gateway reconciliation state. - `items.payment.gateway_reconciliation_reason` (string) Gateway reconciliation reason. - `items.payment.gateway_state` (string) The payment gateway state of the payment. Enum: "marked_for_submission", "submitted", "settled", "not_submitted", "failed" - `items.payment.applied_to` (array) - `items.payment.applied_to.billing_document_id` (string) Identifier of an invoice or a debit memo. - `items.payment.applied_to.id` (string) Identifier of the payment application. - `items.payment.applied_to.amount` (number) The amount of the payment that is applied to the specific billing document item or taxation item. - `items.payment.applied_to.billing_document` (object) The related billing document. - `items.payment.applied_to.billing_document_type` (string) The type of billing document. Can be one of the debit memo or invoice. Enum: "debit_memo", "invoice" - `items.payment.applied_to.state` (string) Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `items.payment.applied_to.items` (array) The related billing document item. - `items.payment.applied_to.items.billing_document_item_id` (string) Identifier of an invoice or a debit memo item. - `items.payment.applied_to.items.id` (string) Identifier of the payment application item. - `items.payment.applied_to.items.billing_document_item` (object) The related billing document item. - `items.payment.applied_to.items.billing_document_item.amount` (number) The total amount of this billing document item. - `items.payment.applied_to.items.billing_document_item.subtotal` (number) The total amount of this billing document item exclusive of tax. - `items.payment.applied_to.items.billing_document_item.deferred_revenue_account` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. - `items.payment.applied_to.items.billing_document_item.on_account_account` (string) The accounting code that maps to an on account in your accounting system. - `items.payment.applied_to.items.billing_document_item.recognized_revenue_account` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `items.payment.applied_to.items.billing_document_item.billing_document_id` (string) The related billing document id. - `items.payment.applied_to.items.billing_document_item.revenue_recognition_rule_name` (string) The name of the revenue recognition rule governing the revenue schedule. - `items.payment.applied_to.items.billing_document_item.quantity` (number) The number of units of this item. - `items.payment.applied_to.items.billing_document_item.service_end` (string) The end date of the service period associated with this billing document item. If the associated charge is a one-time fee, then this date is the date of that charge. - `items.payment.applied_to.items.billing_document_item.accounts_receivable_account` (string) An active account in your Zuora Chart of Accounts. - `items.payment.applied_to.items.billing_document_item.discount_item` (boolean) If true, indicates that the item is a discount item. - `items.payment.applied_to.items.billing_document_item.applied_to_item_id` (string) Identifier of an invoice item or a debit memo item that this discount item or credit memo item is applied to. - `items.payment.applied_to.items.billing_document_item.service_start` (string) The start date of the service period associated with this billing document item. If the associated charge is a one-time fee, then this date is the date of that charge. - `items.payment.applied_to.items.billing_document_item.accounting_code` (string) - `items.payment.applied_to.items.billing_document_item.sku` (string) The unique SKU (stock keeping unit) of the product associated with this item. - `items.payment.applied_to.items.billing_document_item.product_name` (string) The name of the product associated with this item. - `items.payment.applied_to.items.billing_document_item.subscription_id` (string) The identifier of the subscription associated with the billing document item. - `items.payment.applied_to.items.billing_document_item.subscription` (object) The expandable subscription associated with the billing document item. - `items.payment.applied_to.items.billing_document_item.subscription.subscription_number` (string) Human-readable identifier of the subscription. It can be user-supplied. - `items.payment.applied_to.items.billing_document_item.subscription.state` (string) Status of the subscription. Enum: "draft", "pending_activation", "pending_acceptance", "active", "expired", "canceled", "paused" - `items.payment.applied_to.items.billing_document_item.subscription.version` (integer) The version of the subscription. This version can be used in the filter[] query parameter to filter subscriptions. - `items.payment.applied_to.items.billing_document_item.subscription.account_id` (string) Identifier of the account associated with this subscription. - `items.payment.applied_to.items.billing_document_item.subscription.account` (object) Information of the new account associated with the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.invoice_owner_account_id` (string) Identifier of the account that owns the invoice associated with this subscription. - `items.payment.applied_to.items.billing_document_item.subscription.invoice_owner_account` (object) Identifier of the account that owns the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.auto_renew` (boolean) If this field is set to true, the subscription automatically renews at the end of the current term. - `items.payment.applied_to.items.billing_document_item.subscription.latest_version` (boolean) If true, this is the latest version of the subscription - `items.payment.applied_to.items.billing_document_item.subscription.initial_term` (object) Initial term information for the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.initial_term.interval_count` (integer) The number of intervals in a term. For example, interval=year and interval_count=1 represents a 1 year term. - `items.payment.applied_to.items.billing_document_item.subscription.initial_term.interval` (string) Unit in which term duration is defined. One of day, week, month or year. Enum: "day", "week", "month", "year" - `items.payment.applied_to.items.billing_document_item.subscription.initial_term.start_date` (string) Date when the subscription term starts. Example: "2020-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.initial_term.type` (string) Type of the subscription. Can be either termed or evergreen. Enum: "evergreen", "termed" - `items.payment.applied_to.items.billing_document_item.subscription.initial_term.end_date` (string) Date when the subscription term ends. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.current_term` (object) Current term information for the subscription - `items.payment.applied_to.items.billing_document_item.subscription.renewal_term` (object) Renewal term information for the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.start_date` (string) Date when the subscription starts. Example: "2020-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.end_date` (string) Date when the subscription ends. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.description` (string) Description of the subscription. Often useful for displaying to users. - `items.payment.applied_to.items.billing_document_item.subscription.contract_effective` (string) Date when the subscriber contract is effective. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.service_activation` (string) Date when the subscribed-to service is activated. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.customer_acceptance` (string) Date when all the services or products in the subscription are accepted by the subscriber. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.invoice_separately` (boolean) If true, the subscription is billed separately from other subscriptions. If false, the subscription is included with other subscriptions in the account invoice. The default is false. - `items.payment.applied_to.items.billing_document_item.subscription.order_number` (string) The order number of the order created by Zuora. - `items.payment.applied_to.items.billing_document_item.subscription.subscription_plans` (object) List of subscription plans. - `items.payment.applied_to.items.billing_document_item.subscription.invoice_items` (object) List of invoice items. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods` (array) An array of prepaid balance validity periods - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.prepaid_UOM` (string) Unit of measure for the prepaid balance. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.start_date` (string) Start date of the fund effective period. Example: "2022-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.end_date` (string) End date of the fund effective period. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.total_balance` (number) The funded balance, which is the total units of the fund. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.remaining_balance` (number) Remaining balance on the fund, which is the remaining units of the fund. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.overage_rated_amount` (number) - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.overage_rated_quantity` (number) - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.transactions` (array) An array of prepaid balance transactions for a specific validity period - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.transactions.transaction_date` (string) Date on which the transaction occurs. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.transactions.type` (string) An action that increases or decreases its associated prepaid balance. Enum: "prepayment", "drawdown" - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balances.validity_periods.transactions.quantity` (number) Quantity of the prepaid balance transaction. - `items.payment.applied_to.items.billing_document_item.subscription.contracted_mrr` (string) Monthly recurring revenue of the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `items.payment.applied_to.items.billing_document_item.subscription.cancel_reason` (string) The reason for cancelling the subscription. - `items.payment.applied_to.items.billing_document_item.subscription.last_booking_date` (string) The last booking date of the subscription object. You can override the date value when creating a subscription through the "Subscribe and Amend" API. The default value today is set per the user's timezone. The value of this field is as follows: For a new subscription created by the [Subscribe and Amend](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate) APIs, this field has the value of the subscription creation date. For a subscription changed by an amendment, this field has the value of the amendment booking date. For a subscription created or changed by an order, this field has the value of the order date. Example: "2023-01-01" - `items.payment.applied_to.items.billing_document_item.subscription.bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `items.payment.applied_to.items.billing_document_item.subscription.payment_terms` (string,null) The name of payment term associated with the invoice. - `items.payment.applied_to.items.billing_document_item.subscription.bill_to` (object) The billing address for the customer. - `items.payment.applied_to.items.billing_document_item.subscription.billing_document_settings` (object) The billing document settings for the customer. - `items.payment.applied_to.items.billing_document_item.subscription.billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `items.payment.applied_to.items.billing_document_item.subscription.billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `items.payment.applied_to.items.billing_document_item.subscription.sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `items.payment.applied_to.items.billing_document_item.subscription.sold_to` (object) The selling address for the customer. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balance` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. Deprecated, please use prepaid_balances instead. - `items.payment.applied_to.items.billing_document_item.subscription.prepaid_balance.transactions` (array) An array of prepaid balance transactions - `items.payment.applied_to.items.billing_document_item.tax_inclusive` (boolean) This specifies if the billing document item amount is inclusive or exclusive of tax. - `items.payment.applied_to.items.billing_document_item.remaining_balance` (number) The remaining balance of this billing document item. - `items.payment.applied_to.items.billing_document_item.unit_of_measure` (string) Specifies the units used to measure usage. - `items.payment.applied_to.items.billing_document_item.unit_amount` (number) Unit amount (in the currency specified) of the billing document item. - `items.payment.applied_to.items.billing_document_item.booking_reference` (string) The booking reference for this billing document item. - `items.payment.applied_to.items.billing_document_item.price_description` (string) The description of the price this billing document item is associated with. - `items.payment.applied_to.items.billing_document_item.name` (string) Name of the billing document item displayed to customers on the billing document. - `items.payment.applied_to.items.billing_document_item.price_id` (string) The identifier of the price this billing document item is associated with. - `items.payment.applied_to.items.billing_document_item.purchase_order_number` (string) The purchase order number associated with this billing document item. - `items.payment.applied_to.items.billing_document_item.tax` (number) The amount of tax applied to the billing document item. - `items.payment.applied_to.items.billing_document_item.tax_code` (string) The designated tax code. - `items.payment.applied_to.items.billing_document_item.subscription_item_id` (string) The identifier the subscription item associated with this billing document item. - `items.payment.applied_to.items.billing_document_item.subscription_item` (object) The expandable subscription item associated with this billing document item. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_item_number` (string) Human-readable identifier of the subscription item. It can be user-supplied. - `items.payment.applied_to.items.billing_document_item.subscription_item.name` (string) The name of the subscription item. - `items.payment.applied_to.items.billing_document_item.subscription_item.product_id` (string) Identifier of the product with which this subscription is associated. - `items.payment.applied_to.items.billing_document_item.subscription_item.charged_through_date` (string) The date through which a customer has been billed for the subscription item. - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring` (object) The recurring components of a price such as interval and usage. - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.recurring_on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.usage` (boolean) Indicates that this is a usage price. - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.interval` (string) Specifies the billing frequency. One of week, month or year. Enum: "month", "year", "week", "term", "day" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.interval_count` (integer) The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and intervalCount=3 bills every 3 months. - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.alignment_behavior` (string) Specifies how to align billing for recurring (subscription) products that start on different days. Enum: "subscription_start", "term_start", "term_end", "none" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.timing` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. Enum: "in_advance", "in_arrears" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.formula` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.duration_interval` (string) Specifies the duration frequency. One of day, week, month or year. Enum: "day", "week", "month", "year", "subscription_term", "billing_period" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.duration_interval_count` (integer) Specifies how long a customer shall be charged if this is less than the duration of the subscription - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.rating_group` (string) A rating group based on which usage records are rated. Only applicable to usage prices. Enum: "billing_period", "usage_start_date", "usage_record", "usage_upload", "custom_group" - `items.payment.applied_to.items.billing_document_item.subscription_item.recurring.on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `items.payment.applied_to.items.billing_document_item.subscription_item.active` (boolean) Indicates whether the price is active and can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.state` (string) Based on the current date to populate a state field with the enumeration: [inactive, active, expired] where inactive would represent charge segments with a start_date in the future and expired charge segments with an end_date in the past. Enum: "inactive", "active", "expired" - `items.payment.applied_to.items.billing_document_item.subscription_item.start_event` (string) Specifies when to start billing your customer. Enum: "contract_effective", "service_activation", "customer_acceptance", "specific_date" - `items.payment.applied_to.items.billing_document_item.subscription_item.tiers_mode` (string) Specifies the kind of tiering. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `items.payment.applied_to.items.billing_document_item.subscription_item.tiers` (array) - `items.payment.applied_to.items.billing_document_item.subscription_item.tiers.up_to` (number) Specifies the upper bound of the tier. The lower bound of a tier is the upper bound of the previous tier plus one. - `items.payment.applied_to.items.billing_document_item.subscription_item.tiers.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price. - `items.payment.applied_to.items.billing_document_item.subscription_item.tiers.unit_amount` (number) The unit amount of the price. Specify this field if you want to override the original price with a per-unit price. - `items.payment.applied_to.items.billing_document_item.subscription_item.tax_code` (string) A tax code identifier. If the tax_code of a price is not provided when you create or override a price, Zuora will treat the charged amount as non-taxable. If this code is provide, Zuora considers that this price is taxable and the charged amount will be handled accordingly. - `items.payment.applied_to.items.billing_document_item.subscription_item.tax_inclusive` (boolean) If this field is set to true, it indicates that amounts are inclusive of tax. - `items.payment.applied_to.items.billing_document_item.subscription_item.unit_of_measure` (string) A configured unit of measure. This field is required for per-unit prices. - `items.payment.applied_to.items.billing_document_item.subscription_item.quantity` (number) Quantity of the product to which your customers subscribe. - `items.payment.applied_to.items.billing_document_item.subscription_item.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price - `items.payment.applied_to.items.billing_document_item.subscription_item.discount_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `items.payment.applied_to.items.billing_document_item.subscription_item.discount_percent` (number) Discount percent. Specify this field if you offer a percentage-based discount. - `items.payment.applied_to.items.billing_document_item.subscription_item.apply_discount_to` (array) Any combination of one_time, recurring and plan. Enum: "one_time", "recurring", "usage" - `items.payment.applied_to.items.billing_document_item.subscription_item.discount_level` (string) Specifies at what level a discount should be applied: one of account, subscription or plan. Enum: "account", "subscription", "plan" - `items.payment.applied_to.items.billing_document_item.subscription_item.price_base_interval` (string) Specifies the base interval of the price the subscriber is subscribed to. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `items.payment.applied_to.items.billing_document_item.subscription_item.overage` (object) An object defining how overage charges are calculated. - `items.payment.applied_to.items.billing_document_item.subscription_item.overage.interval_count` (integer) Specifies the number of intervals used to calculate smoothed overage charges. - `items.payment.applied_to.items.billing_document_item.subscription_item.overage.type` (string) Represents the overage type: one of rolling_window or rollover. Enum: "rolling_window", "rollover" - `items.payment.applied_to.items.billing_document_item.subscription_item.overage.included_units` (number) Specifies the included units to which overage charges do not apply. - `items.payment.applied_to.items.billing_document_item.subscription_item.overage.credit_unused_units` (boolean) Specifies whether or not to credit unused units. - `items.payment.applied_to.items.billing_document_item.subscription_item.overage.apply_at_end_of_smoothing_period` (boolean) Indicates if the overage price is calculated at the end of the smoothing period. - `items.payment.applied_to.items.billing_document_item.subscription_item.charge_model` (string) Charge model of the price. See [Charge models](https://knowledgecenter.zuora.com/Billing/Subscriptions/Product_Catalog/B_Charge_Models) for more information. - `items.payment.applied_to.items.billing_document_item.subscription_item.charge_type` (string) Type of the charge. It can be one of the following types: one-time, recurring, or usage. - `items.payment.applied_to.items.billing_document_item.subscription_item.price_id` (string) Identifier of the price. - `items.payment.applied_to.items.billing_document_item.subscription_item.price` (object) Price information. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.name` (string) The name of the price. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.recognized_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.deferred_revenue_accounting_code` (string) An active accounting code in your Zuora chart of accounts. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tiers` (array) Price information for different tiers. When creating or updating tiered prices, you must specify this field and the tiers_mode field. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tiers.up_to` (number) The upper bound of a tier. The lower bound of a tier is the upper bound of the previous tier plus one or some fraction of one, depending on the precision of the unit of measure. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tiers.amounts` (object) Prices for the tier. Only set if charge_model is tiered, tiered_overage, or highwatermark_tiered. Example: {"USD":10,"GBP":15} - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tiers.unit_amounts` (object) Per unit prices for units in the tier. Only set if charge_model is tiered, tiered_overage, or highwatermark_tiered. Example: {"USD":10,"GBP":15} - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tax_code` (string) A tax code identifier. If a tax_code of a price is not provided when you create or update a price, Zuora will treat the charged amount as non-taxable. If this code is provide, Zuora considers that this price is taxable and the charged amount will be handled accordingly. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.min_quantity` (number) The minimum quantity for a price. Specify this field and the max_quantity field to create a range of quantities allowed in a price. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.max_quantity` (number) The maximum quantity for a price. Specify this field and the min_quantity field to create a range of quantities allowed in a price. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.discount_level` (string) Specifies at what level a discount should be applied: account, subscription, or plan. Enum: "account", "subscription", "plan" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.revenue_recognition_rule` (string) Determines when to recognize the revenue for this charge. You can choose to recognize upon invoicing or daily over time. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.stacked_discount` (boolean) This field is only applicable for the Percentage Discount price. This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows: true: This is a stacked discount, which should be calculated by stacking with other discounts. false: This is not a stacked discount, which should be calculated in sequence with other discounts. For more information, see Stacked discounts - `items.payment.applied_to.items.billing_document_item.subscription_item.price.amounts` (object) Example: {"USD":10,"GBP":15} - `items.payment.applied_to.items.billing_document_item.subscription_item.price.unit_amounts` (object) Example: {"USD":10,"GBP":15} - `items.payment.applied_to.items.billing_document_item.subscription_item.price.discount_amounts` (object) Example: {"USD":10,"GBP":15} - `items.payment.applied_to.items.billing_document_item.subscription_item.price.price_base_interval` (string) Specifies the base interval of a price. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.revenue` (object) Accounting configuration if you have Zuora Revenue enabled. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.revenue.exclude_item_billing_from_revenue_accounting` (boolean) If set to true, any associated billing document items are excluded from the revenue accounting. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.revenue.exclude_item_booking_from_revenue_accounting` (boolean) If set to true, any associated subscription items are excluded from the revenue accounting. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.accounting_code` (string) An active accounting code defined in Finance Settings > Configure Accounting Codes in your Zuora tenant. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.prepayment` (object) - `items.payment.applied_to.items.billing_document_item.subscription_item.price.prepayment.credit_option` (string) The way to calculate credit. See Credit Option for more information. Enum: "time_based", "consumption_based", "full_credit" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.prepayment.quantity` (number) The number of units included in a prepayment charge. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.prepayment.total_quantity` (number) The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.prepayment.validity_period` (string) The period in which the prepayment units are valid to use as defined in a prepayment charge. Enum: "subscription_term", "annual", "semi_annual", "quarter", "month" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.drawdown` (object) - `items.payment.applied_to.items.billing_document_item.subscription_item.price.drawdown.conversion_rate` (number) The conversion rate between usage unit of measure (UOM) and drawdown unit of measure for a drawdown charge. Note: Must be a positive number (>0). Must be 1 when usage UOM and drawdown UOM are the same. If both conversion_rate and unit_of_measure for the drawdown are empty, the system will set default values respectively: conversion_rate: 1 unit_of_measure: Same as the usage UOM of this drawdown charge. The conversion_rate and unit_of_measure fields need to have values or be empty at the same time. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.drawdown.unit_of_measure` (string) Unit of measurement for a drawdown charge. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.taxable` (boolean) - `items.payment.applied_to.items.billing_document_item.subscription_item.price.price_change_percentage` (number) The percentage to increase or decrease the price of a termed subscription's renewal. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.price_change_option` (string) Applies an automatic price change when a termed subscription is renewed. Enum: "latest_catalog_pricing", "percentage", "none" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.price_increase_option` (boolean) Indicates whether to apply an automatic price change when a termed subscription is renewed. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.plan_id` (string) Specify the ID of a plan to which this price is associated. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.plan_number` (string) Specify the number of a plan to which this price is associated. This field is required if plan_id is not supplied - `items.payment.applied_to.items.billing_document_item.subscription_item.price.charge_type` (string) The type of charge. Can be one_time,recurring, or usage. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.charge_model` (string) The charge model of the price, which determines how users are charged. Common charge models include flat fee, per-unit, volume, and tiered prices. - `items.payment.applied_to.items.billing_document_item.subscription_item.price.tiers_mode` (string) Specifies the mode for tiered prices. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `items.payment.applied_to.items.billing_document_item.subscription_item.price.active` (boolean) Whether the price can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan_id` (string) Identifier of the subscription plan this subscription item belongs to. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan` (object) Subscription plan information. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.subscription` (object) The subscription to which this subscription plan belongs. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.subscription_id` (string) Identifier of the subscription this subscription plan belongs to. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.product_id` (string) Identifier of the product associated with this subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan_id` (string) Identifier of the plan associated with this subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan` (object) The plan object associated with this subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.start_date` (string) The date from which the plan can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.end_date` (string) The date on which the plan can no longer be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.name` (string) The name of the plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.plan_number` (string) Human-readable identifier of the plan. It can be user-supplied. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.active_currencies` (array) A list of 3-letter ISO-standard currency codes representing active currencies for the plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product_id` (string) Identifier of the product associated with this plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.active` (boolean) Whether the plan can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product` (object) The product associated with this plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.start_date` (string) The date from which the product can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.end_date` (string) The date on which the product can no longer be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.name` (string) The name of the product. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.type` (string) The type of product. Enum: "base", "add_on", "other" - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.sku` (string) The sku identifier of the product. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.active` (boolean) Whether the product can be used for new purchases. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.product.plans` (object) A list of plans. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.sku` (string) The product sku. This field is only availble for customers using high speed cache. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.plan.prices` (object) A list of prices. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.product` (object) The product associated with the subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.name` (string) The name of the subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.subscription_items` (object) List of subscription items. - `items.payment.applied_to.items.billing_document_item.subscription_item.subscription_plan.subscription_plan_number` (string) Human-readable number of the subscription plan. - `items.payment.applied_to.items.billing_document_item.subscription_item.start_date` (string) The date when the subscription item starts. - `items.payment.applied_to.items.billing_document_item.subscription_item.end_date` (string) The date when the subscription item ends. - `items.payment.applied_to.items.billing_document_item.subscription_item.processed_through_date` (string) The date until when charges are processed. When billing takes place in arrears, such as usage-based prices, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. - `items.payment.applied_to.items.billing_document_item.invoice_item_id` (string) The identifier of the invoice item associated with this billing document item. - `items.payment.applied_to.items.billing_document_item.document_item_date` (string) The date when the billing document item takes effect. Example: "2022-01-01T07:08:12-07:00" - `items.payment.applied_to.items.billing_document_item.taxation_items` (object) List of taxation items. - `items.payment.applied_to.items.billing_document_item.type` (string) The type of billing document, one of credit_memo, debit_memo or invoice. Enum: "credit_memo", "debit_memo", "invoice" - `items.payment.applied_to.items.amount` (number) The amount of the payment that is applied to the specific billing document item. - `items.payment.applied_to.items.taxation_item_id` (string) Identifier of a taxation item. - `items.payment.payment_schedule_items` (array) - `items.payment.state_transitions` (object) The timestamps at which the object's state was updated. - `items.payment.state_transitions.canceled_time` (string) The date and time (ISO 8601 UTC format) when the payment was canceled. - `items.payment.gateway_state_transitions` (object) - `items.payment.gateway_state_transitions.marked_for_submission_time` (string) The date and time (ISO 8601 UTC format) when the payment was marked for submission. - `items.payment.gateway_state_transitions.settled_time` (string) The date and time (ISO 8601 UTC format) when the payment was settled. - `items.payment.gateway_state_transitions.submitted_time` (string) The date and time (ISO 8601 UTC format) when the payment was submitted. - `items.payment_schedule` (object) Payment schedule record. - `number_of_payments` (integer) The number of payment schedule items to be created for this payment schedule. - `payment_gateway_id` (string) ID of the payment gateway used to collect payments. Note: This field is optional. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the customer account level, the default value will be the tenant's default payment gateway ID. This field will be ignored when items is specified. Example: "8ad093f27d6eee80017d6effd7a66759" - `payment_method_id` (string) ID of the payment method. Note: This field is optional. The default value is the account's default payment method ID. This field will be ignored when items is specified. Example: "8a95b1946b6aeac8718c32aab8c395f" - `standalone` (boolean) Indicates whether the payments created by the payment schedule are standalone payments or not. When setting to true, standalone payments will be created. When setting to false, you can either specify a billing document, or not specifying any billing documents. In the latter case, unapplied payments will be created. If set to null, standalone payments will be created. Note: This parameter is only available if standalone payments are enabled in your tenant. The default value is true if standalone payments are enabled in your tenant. - `start_date` (string) The date of the first scheduled payment collection. Note: This parameter is required when items is not specified. This parameter will be ignored when items is specified. Example: "2023-01-01" - `total_amount` (number) The total amount to be collected by the payment schedule. - `custom` (boolean) If it is set to true, the payment schedule is a custom payment schedule. - `next_payment_date` (string) The date of the next scheduled payment. Example: "2022-01-01" - `recent_payment_date` (string) The date of the most recent scheduled payment. Example: "2022-01-01" - `state` (string) The status of the payment schedule. active: there are unprocessed payment schedule items. canceled: the payment schedule has been canceled. complete: the payment schedule is complete and all items have been processed. Enum: "active", "canceled", "complete" - `total_payments_errored` (integer) The total number of failed payments. - `total_payments_processed` (integer) The total number of payments processed. - `payment_options` (array) Container for the payment options, which describe the transactional level rules for processing payments. Currently, only the gateway_options type is supported. Payment schedule payment_options take precedence over payment schedule item payment_options. - `payment_options.detail` (object) Example: {"key":"value"} - `payment_options.type` (boolean) - `prepayment` (boolean) Indicates whether the payments created by the payment schedule will be used as reserved payments. This field will only be available if the prepaid cash drawdown permission is enabled. See Prepaid Cash with Drawdown for more information. ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)